Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class State

    |
    +--biouml.model.dynamics.EModelRoleSupport
      |
      +--biouml.model.dynamics.State

public class State
extends EModelRoleSupport
implements ExpressionOwner

Constructor Summary
`State(DiagramElement de)`

Method Summary
`void` | `addOnEntryAssignment(Assignment ea, boolean fireEvent)`
`void` | `addOnExitAssignment(Assignment ea, boolean fireEvent)`
`String[]` | `getExpressions()`
`Assignment[]` | `getOnEntryAssignment()`
`Assignment` | `getOnEntryAssignment(int i)`
`Assignment[]` | `getOnExitAssignment()`
`Assignment` | `getOnExitAssignment(int i)`
`EModelRole` | `getRole()`
`boolean` | `isExpression(String propertyName)`
`void` | `setOnEntryAssignment(Assignment[] onEntryAssignment)`
`void` | `setOnEntryAssignment(int i, Assignment onEntryAssignment)`
`void` | `setOnExitAssignment(Assignment[] onExitAssignment)`
`void` | `setOnExitAssignment(int i, Assignment onExitAssignment)`
`String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Constructor Detail

### State

    public State(DiagramElement de)

Method Detail

### addOnEntryAssignment

    public void addOnEntryAssignment(Assignment ea, boolean fireEvent)

### addOnExitAssignment

    public void addOnExitAssignment(Assignment ea, boolean fireEvent)

### getExpressions

    public String[] getExpressions()

### getOnEntryAssignment

    public Assignment[] getOnEntryAssignment()

### getOnEntryAssignment

    public Assignment getOnEntryAssignment(int i)

### getOnExitAssignment

    public Assignment[] getOnExitAssignment()

### getOnExitAssignment

    public Assignment getOnExitAssignment(int i)

### getRole

    public EModelRole getRole()

### isExpression

    public boolean isExpression(String propertyName)

### setOnEntryAssignment

    public void setOnEntryAssignment(Assignment[] onEntryAssignment)

### setOnEntryAssignment

    public void setOnEntryAssignment(int i, Assignment onEntryAssignment)

### setOnExitAssignment

    public void setOnExitAssignment(Assignment[] onExitAssignment)

### setOnExitAssignment

    public void setOnExitAssignment(int i, Assignment onExitAssignment)

### toString

    public String toString()

Association Links

to Class biouml.model.dynamics.Assignment

to Class biouml.model.dynamics.Assignment

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM